# TTTT Analysis: fv::PointerValue< T > Class Template Reference

fv::PointerValue< T > Class Template Reference

A Value of a pointer. More...

`#include <value.hpp>`

Inheritance diagram for fv::PointerValue< T >:
[legend]
Collaboration diagram for fv::PointerValue< T >:
[legend]

## Public Member Functions

| PointerValue (const std::string &name, T *ptr, const std::string alias="")
Public Member Functions inherited from fv::DerivedValue< T *>
| DerivedValue (const std::string &name, const std::string &alias="")
T * & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< T * >
| Value (const std::string &name, const std::string &alias="")

## Protected Member Functions

void | update_value ()
| Updates the internal value. More...

## Additional Inherited Members

Protected Attributes inherited from fv::DerivedValue< T *>
T * | value
bool | value_valid

## Detailed Description

### template<typename T>
class fv::PointerValue< T >

A Value of a pointer.

The pointer is constant, however the data the pointer points to is variable.

## Member Function Documentation

## update_value()

template<typename T>

void fv::PointerValue< T >::update_value | ( |  | ) |

inlineprotectedvirtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< T *>.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp